%define upstream_name       Tk-DirSelect
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Cross-platform directory selection widget
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Tk)

BuildArch: noarch


%description
This module provides a cross-platform directory selection widget. For
systems running Microsoft Windows, this includes selection of local and
mapped network drives. A context menu (right-click or <Button3>) allows the
creation, renaming, and deletion of directories while browsing.

Note: Perl/Tk 804 added the 'chooseDirectory' method which uses native
system dialogs where available. (i.e. Windows) If you want a native feel
for your program, you probably want to use that method instead -- possibly
using this module as a fallback for systems with older versions of Tk
installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.120.0-11.mga10
+ Revision: 2212708
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 1.120.0-10.mga9
+ Revision: 1834399
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-9.mga8
+ Revision: 1497907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-8.mga7
+ Revision: 1272387
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-7.mga6
+ Revision: 1035404
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.120.0-6.mga6
+ Revision: 935041
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 750286
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 686722
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 515765
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 374423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 32508
- mageia rebuild
- imported package perl-Tk-DirSelect

